#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 clash-ghc
version:              1.8.1
visibility:           public
id:                   clash-ghc-1.8.1-3p45lGMwXFQETRNgK6wMtT
key:                  clash-ghc-1.8.1-3p45lGMwXFQETRNgK6wMtT
license:              BSD-2-Clause
copyright:
    Copyright © 2012-2016, University of Twente,
    2016-2017, Myrtle Software Ltd,
    2017-2019, QBayLogic B.V., Google Inc.

maintainer:           QBayLogic B.V. <devops@qbaylogic.com>
author:               The Clash Authors
homepage:             https://clash-lang.org/
synopsis:
    Clash: a functional hardware description language - GHC frontend

description:
    Clash is a functional hardware description language that borrows both its
    syntax and semantics from the functional programming language Haskell. The
    Clash compiler transforms these high-level descriptions to low-level
    synthesizable VHDL, Verilog, or SystemVerilog.

    Features of Clash:

    * Strongly typed, but with a very high degree of type inference, enabling both
    safe and fast prototyping using concise descriptions.

    * Interactive REPL: load your designs in an interpreter and easily test all
    your component without needing to setup a test bench.

    * Higher-order functions, with type inference, result in designs that are
    fully parametric by default.

    * Synchronous sequential circuit design based on streams of values, called
    @Signal@s, lead to natural descriptions of feedback loops.

    * Support for multiple clock domains, with type safe clock domain crossing.


    This package provides:

    * Clash Compiler binary using GHC/Haskell as a frontend


    Prelude library: <https://hackage.haskell.org/package/clash-prelude>

category:             Hardware
abi:                  e838f83a1610a6c833df44584ef7f4a9
exposed:              True
exposed-modules:
    Clash.GHC.Evaluator Clash.GHC.Evaluator.Primitive
    Clash.GHC.GenerateBindings Clash.GHC.LoadModules
    Clash.GHC.NetlistTypes Clash.GHC.PartialEval
    Clash.GHC.PartialEval.Eval Clash.GHC.PartialEval.Primitive
    Clash.GHC.PartialEval.Quote Clash.GHCi.Common Clash.Main

hidden-modules:
    Clash.GHCi.Leak Clash.GHCi.UI Clash.GHCi.UI.Info
    Clash.GHCi.UI.Monad Clash.GHC.ClashFlags Clash.GHC.GHC2Core
    Clash.GHC.LoadInterfaceFiles Clash.GHC.Util Paths_clash_ghc
    Clash.GHCi.Util Clash.GHCi.UI.Tags

import-dirs:          /usr/lib/ghc-9.2.8/site-local/clash-ghc-1.8.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/clash-ghc-1.8.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/clash-ghc
hs-libraries:         HSclash-ghc-1.8.1-3p45lGMwXFQETRNgK6wMtT
depends:
    Cabal-3.6.3.0 array-0.5.4.0 base-4.16.4.0 bytestring-0.11.4.0
    clash-lib-1.8.1-JQdF7WhURfKIK7Cs3Gd1qH
    clash-prelude-1.8.1-5k4YmwDQ0Vn8w6xfz7anMu
    concurrent-supply-0.1.8-EUB2so6Qst76K2D51D6wZd containers-0.6.5.1
    data-binary-ieee754-0.4.4-5RBO9sqtqwKK43ihLnlB61 deepseq-1.4.6.1
    directory-1.3.6.2 exceptions-0.10.4
    extra-1.7.16-EWGdPHvQLeb5EiMAbHqdrp filepath-1.4.2.2 ghc-9.2.8
    ghc-bignum-1.2 ghc-boot-9.2.8 ghc-prim-0.8.0
    ghc-typelits-extra-0.4.4-Bn7fyvxOvPLIv7rlHCPkX
    ghc-typelits-knownnat-0.7.8-9QHNrujOpUO5CrfGroUYr2
    ghc-typelits-natnormalise-0.7.8-4RV4e3LPXB7JjGGj3lwDzk ghci-9.2.8
    hashable-1.4.4.0-7BSyPsBurXt9vEzyIgxmkb haskeline-0.8.2
    lens-5.2.3-I3ec5MPKyg91QrvRMYPpyk mtl-2.2.2
    primitive-0.7.4.0-2yvrjkKbYif9hwxczpmLrN process-1.6.16.0
    reflection-2.1.8-uMfRpXaIWB6nxe8EdjRvu
    split-0.2.5-fPWkUXEXZHvXnPhPWCGf
    string-interpolate-0.3.4.0-6DxkUhu9ocOJBNt5zPVM3c
    template-haskell-2.18.0.0 text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 uniplate-1.6.13-13N6qNM0ncy2qFDgjyRb6W
    unix-2.7.2.2 unordered-containers-0.2.20-DtI6Ump4gwL4XOoZ2vYwmp
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    vector-0.13.1.0-fp7g3DnwvJ21p5JSIbLxP

haddock-interfaces:   /usr/share/doc/clash-ghc/html/clash-ghc.haddock
haddock-html:         /usr/share/doc/clash-ghc/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

